#include <libwccl/values/positionref.h>
#include <sstream>

namespace Wccl {


std::string PositionRef::to_raw_string() const
{
	std::stringstream ss;
	ss << base_->get_value();
	if (offset_ >=0) {
		ss << "+";
	}
	ss << offset_;
	return ss.str();
}

} /* end ns Wccl */
